View Issue Details

IDProjectCategoryView StatusLast Update
14596Bug reports[All Projects] _ Unknownpublic2019-04-30 09:11
Reporterluberm Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.16.x 
Summary14596: CApcCache enabled gives error 500 when checking data integrity.
Description

Data integrity check fails with the following 500 error:

CApcCache and its behaviors do not have a method or closure named "gc".

with CApcCache enabled. Enabling debugging doesn't hit this error, since it doesn't use caching.

Steps To Reproduce

add
'cache'=>array(
'class' => 'CApcCache',
'useApcu' => true,
),
to your config.php and check data integrity.

Tagscache
Complete LimeSurvey version number (& build)3.15.9
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionPostgreSQL 10.4
Server OS (if known)Exherbo Linux
Webserver software & version (if known)NGINX 1.14.2
PHP Version7.3.2

Relationships

related to 13699 closedollehar After latest update, editing questions results in an error 
related to 13982 closedDenisChenu Uploading survey resources (via kcfinder) does not work with CRedisCache 
related to 13888 closedDenisChenu unable to run db migration if using CRedisCache 

Activities

DenisChenu

DenisChenu

2019-03-05 07:42

developer   ~50761

Can you send the html file produced ? Then we have the file and the line to correct …

luberm

luberm

2019-03-05 11:19

reporter   ~50768

Sure, there you go.



500_ Interner Serverfehler.html (17,045 bytes)
DenisChenu

DenisChenu

2019-03-05 11:53

developer   ~50769

Seems not the 500 error, but login page :(

luberm

luberm

2019-03-05 12:34

reporter   ~50770

You are right, strange. This was via "Save as".

Attached file should be the correct one.



500_ Interner Serverfehler-2.html (8,277 bytes)
DenisChenu

DenisChenu

2019-03-05 12:57

developer   ~50771

Ah right… no issue with debug mode …

DenisChenu

DenisChenu

2019-03-05 13:19

developer   ~50772

This must fix it : https://github.com/LimeSurvey/LimeSurvey/commit/21783ce196ea3c4b434f9bbbb4e9c3fd68599524

luberm

luberm

2019-03-05 13:31

reporter   ~50773

It does indeed, thanks!

Issue History

Date Modified Username Field Change
2019-03-04 22:41 luberm New Issue
2019-03-04 23:01 luberm Tag Attached: cache
2019-03-05 07:42 DenisChenu Note Added: 50761
2019-03-05 07:42 DenisChenu Assigned To => DenisChenu
2019-03-05 07:42 DenisChenu Status new => assigned
2019-03-05 11:19 luberm File Added: 500_ Interner Serverfehler.html
2019-03-05 11:19 luberm Note Added: 50768
2019-03-05 11:53 DenisChenu Note Added: 50769
2019-03-05 12:34 luberm File Added: 500_ Interner Serverfehler-2.html
2019-03-05 12:34 luberm Note Added: 50770
2019-03-05 12:57 DenisChenu Note Added: 50771
2019-03-05 13:09 DenisChenu Relationship added related to 13699
2019-03-05 13:16 DenisChenu Relationship added related to 13982
2019-03-05 13:17 DenisChenu Relationship added related to 13888
2019-03-05 13:19 DenisChenu Status assigned => resolved
2019-03-05 13:19 DenisChenu Resolution open => fixed
2019-03-05 13:19 DenisChenu Fixed in Version => 3.16.x
2019-03-05 13:19 DenisChenu Note Added: 50772
2019-03-05 13:31 luberm Note Added: 50773
2019-04-30 09:11 c_schmitz Status resolved => closed